org.apache.solr.handler.component

## Class ShardDoc

- java.lang.Object
- - org.apache.lucene.search.ScoreDoc
  - - org.apache.lucene.search.FieldDoc
    - - org.apache.solr.handler.component.ShardDoc

-     public class ShardDoc
      extends FieldDoc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Object` | `id`
    `int` | `orderInShard`
    `int` | `positionInResponse`
    `String` | `shard`
    `String` | `shardAddress`
    `NamedList` | `sortFieldValues`

    - ### Fields inherited from class org.apache.lucene.search.FieldDoc

      `fields`

    - ### Fields inherited from class org.apache.lucene.search.ScoreDoc

      `doc, score, shardIndex`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShardDoc()`
    `ShardDoc(float score, Object[] fields, Object uniqueId, String shard)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### shard

          public String shard

    - #### shardAddress

          public String shardAddress

    - #### orderInShard

          public int orderInShard

    - #### id

          public Object id

    - #### sortFieldValues

          public NamedList sortFieldValues

    - #### positionInResponse

          public int positionInResponse

  - ### Constructor Detail

    - #### ShardDoc

          public ShardDoc(float score,
                          Object[] fields,
                          Object uniqueId,
                          String shard)

    - #### ShardDoc

          public ShardDoc()

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `FieldDoc`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.